---------------------
PatchSet 10800 
Date: 2007/05/17 19:55:52
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Author: Emilio Casbas <ecasbas@unav.es>
logformat %rp logging the URL-Path only (excluding hostname)

we need a "%ru" parameter like the httpd native log, that is showing;
/SI/images/servicios/normasdeuso/normas.swf instead of
http://X.X.X.60/SI/images/servicios/normasdeuso/normas.swf

I have done a small patch to have a new "rp" format code in order to
show only the urlpath in the access log.

Members: 
	src/access_log.cc:1.122->1.123 
	src/cf.data.pre:1.434->1.435 

Index: squid3/src/access_log.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/access_log.cc,v
retrieving revision 1.122
retrieving revision 1.123
diff -u -r1.122 -r1.123
--- squid3/src/access_log.cc	28 Apr 2007 22:26:37 -0000	1.122
+++ squid3/src/access_log.cc	17 May 2007 19:55:52 -0000	1.123
@@ -1,6 +1,6 @@
 
 /*
- * $Id: access_log.cc,v 1.122 2007/04/28 22:26:37 hno Exp $
+ * $Id: access_log.cc,v 1.123 2007/05/17 19:55:52 hno Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -364,6 +364,7 @@
 
     LFT_REQUEST_METHOD,
     LFT_REQUEST_URI,
+    LFT_REQUEST_URLPATH,
     /*LFT_REQUEST_QUERY, * // * this is not needed. see strip_query_terms */
     LFT_REQUEST_VERSION,
 
@@ -482,6 +483,7 @@
 
         {"rm", LFT_REQUEST_METHOD},
         {"ru", LFT_REQUEST_URI},	/* doesn't include the query-string */
+        {"rp", LFT_REQUEST_URLPATH},	/* doesn't include the host */
         /* { "rq", LFT_REQUEST_QUERY }, * /     / * the query-string, INCLUDING the leading ? */
         {">v", LFT_REQUEST_VERSION},
         {"rv", LFT_REQUEST_VERSION},
@@ -763,6 +765,13 @@
 
             break;
 
+        case LFT_REQUEST_URLPATH:
+	    if (al->request) {
+		out = al->request->urlpath.buf();
+		quote = 1;
+	    }
+            break;
+
         case LFT_REQUEST_VERSION:
             snprintf(tmp, sizeof(tmp), "%d.%d", (int) al->http.version.major, (int) al->http.version.minor);
 
Index: squid3/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid/squid3/src/cf.data.pre,v
retrieving revision 1.434
retrieving revision 1.435
diff -u -r1.434 -r1.435
--- squid3/src/cf.data.pre	13 May 2007 21:27:50 -0000	1.434
+++ squid3/src/cf.data.pre	17 May 2007 19:55:52 -0000	1.435
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.434 2007/05/13 21:27:50 hno Exp $
+# $Id: cf.data.pre,v 1.435 2007/05/17 19:55:52 hno Exp $
 #
 #
 # SQUID Web Proxy Cache		http://www.squid-cache.org/
@@ -1235,6 +1235,7 @@
 		mt	MIME content type
 		rm	Request method (GET/POST etc)
 		ru	Request URL
+		rp	Request URL-Path excluding hostname
 		rv	Request protocol version
 		et	Tag returned by external acl
 		ea	Log string returned by external acl
